GroovyDocTool (Groovy 5.1.0)

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class GroovyDocTool

- org.codehaus.groovy.tools.groovydoc.GroovyDocTool

-     public class GroovyDocTool
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Properties` | `properties` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocTool(String[] sourcepaths)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
    `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
    `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, String javaVersion, Properties properties)` Constructs a GroovyDocTool instance with the specified parameters.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(List<String> filenames)`
    `` | `public GroovyRootDoc` | `getRootDoc()`
    `` | `public void` | `renderToOutput(OutputTool output, String destdir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected Properties properties

  - ### Constructor Detail

    - #### public GroovyDocTool(String[] sourcepaths)

      Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)

      Parameters:
        `sourcepaths` - where the sources to be added can be found

    - #### public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)

    - #### public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, String javaVersion, Properties properties)

      Constructs a GroovyDocTool instance with the specified parameters.

      Parameters:
        `resourceManager` - the resource manager for handling resources, or null if not required
        `sourcepaths` - the paths to the source files to be processed
        `docTemplates` - the templates for generating documentation
        `packageTemplates` - the templates for generating package-level documentation
        `classTemplates` - the templates for generating class-level documentation
        `links` - a list of link arguments for external references
        `javaVersion` - the Java version to be used for parsing and processing Java source files
        `properties` - additional properties to be used when generating the groovydoc

  - ### Method Detail

    - #### public void add(List<String> filenames)

    - #### public GroovyRootDoc getRootDoc()

    - #### public void renderToOutput(OutputTool output, String destdir)